Core Impact Security and Penetration Testing Updates

Core Impact Threat Intelligence Exploits, Security and Penetration Testing Updates

We provide real-time updates including new penetration testing exploits and tests for additional platforms as they become available. We advise you of any new modules by email, after which you can download them directly from within Core Impact. All product updates are free during the license period. You're always on the cutting edge of vulnerability and threat intelligence because Core Impact keeps you there.

Fill out the form to sign up for email updates

Use the controls below to navigate Core Impact exploits and other modules.

タイトル 説明 Vulnerabilty Category Platform
ASUS Low Level Access Drivers Privilege Escalation Exploit This module exploits a vulnerability in various ASUS and 3rd party branded utilities. The low level access drivers at the core of these utilities expose dangerous functionality to low privilege processes, a local attacker can read/write arbitrary kernel memory, which can be leveraged to elevate privileges. CVE-2018-18537 Exploits/Local Windows
GIGABYTE Low Level Access Drivers Privilege Escalation Exploit This module exploits a vulnerability in various GIGABYTE and AORUS branded utilities. The low level access drivers at the core of these utilities expose dangerous functionality to low privilege processes, a local attacker can read/write arbitrary kernel memory, which can be leveraged to elevate privileges. CVE-2018-19320 Exploits/Local Windows
Microsoft Windows Win32k xxxMNEndMenuState Local Privilege Escalation Exploit An elevation of privilege vulnerability exists in Windows when the Win32k component fails to properly handle objects in memory. CVE-2017-0263 Exploits/Local Windows
CyberLink LabelPrint File Project Processing Buffer Overflow Exploit Stack-based buffer overflows in CyberLink LabelPrint 2.5 allow remote attackers to execute arbitrary code via the (1) author (inside the INFORMATION tag), (2) name (inside the INFORMATION tag), (3) artist (inside the TRACK tag), or (4) default (inside the TEXT tag) parameter in an lpp project file. CVE-2017-14627 Exploits/Client Side Windows
Advantech WebAccess webvrpcs Remote Command Execution Exploit The specific flaw exists within the implementation of the 0x2711 IOCTL in the webvrpcs process. The issue results from the lack of proper validation of a user-supplied string before using it to execute a system call. CVE-2018-14806 Exploits/Remote Windows
CMS Made Simple Module Import PHP Remote Command Injection Vulnerability Exploit CMS Made Simple allows remote authenticated administrators to execute arbitrary PHP code via command injection using the module import feature in admin/moduleinterface.php CVE-2018-10517 Exploits/Remote File Inclusion/Known Vulnerabilities Windows, Linux
Free WMA MP3 Converter Local Buffer Overflow Exploit A Local Buffer Overflow exists when parsing .wav files. The vulnerability is caused due to a boundary error when handling a crafted .wav files. NOCVE-9999-115102 Exploits/Client Side Windows
Microsoft Windows SchRpcSetSecurity Local Privilege Escalation Exploit An elevation of privilege vulnerability exists when Windows improperly handles calls to Advanced Local Procedure Call (ALPC).An attacker who successfully exploited this vulnerability could run arbitrary code in the security context of the local system. An attacker could then install programs; view, change, or delete data; or create new accounts with full user rights. CVE-2018-8440 Exploits/Local Windows
10-Strike LANState Local Buffer Overflow Exploit A Buffer Overflow exists when parsing .lsm files. The vulnerability is caused due to a boundary error when handling a crafted .lsm files. NOCVE-9999-113689 Exploits/Client Side Windows
Cisco Webex Meetings webexservice Update Service DLL Hijacking Local Privilege Escalation Exploit A vulnerability in the update service of Cisco Webex Meetings Desktop App for Windows could allow an authenticated local attacker, to execute arbitrary commands with SYSTEM user privileges. CVE-2018-15442 Exploits/Local Windows
VirIT eXplorer Anti-Virus Arbitrary Write Local Privilege Escalation Exploit In VirIT eXplorer Anti-Virus, the VIAGLT64.SYS driver file contains an Arbitrary Write vulnerability, and can be exploited to elevate privileges from a local account to SYSTEM. CVE-2017-16237 Exploits/Local Windows
Advantech WebAccess bwnodeip Buffer Overflow Exploit The specific flaw exists within bwnodeip.exe, which is accessed through the 0x2711 IOCTL in the webvrpcs process. CVE-2018-14816 Exploits/Remote Windows
Advantech WebAccess SCADA Webvrpcs ViewDll1 Buffer Overflow Exploit The specific flaw exists within the implementation of the 0x138bd IOCTL in the webvrpcs process. The issue results from the lack of proper validation of the length of user-supplied data prior to copying it to a fixed-length stack-based buffer. An attacker can leverage this functionality to execute code under the context of Administrator. CVE-2018-14816 Exploits/Remote Windows
AVEVA InduSoft Web Studio Remote Command Execution Exploit The MTCheckFileFunctionsTimeout function in UniSoft.dll does not check the user-supplied executable file name that is used to create a process. If the file name is already a full path, it will be passed as the lpCommandLine parameter to a CreateProcessW call. CVE-2018-17914 Exploits/Remote Windows
Advantech WebAccess Node certUpdate Directory Traversal Remote Code Execution Vulnerability Exploit Advantech WebAccess Node is vulnerable to an unauthenticated remote file inclusion, allowing attackers to execute arbitrary code in the system. CVE-2018-5445 Exploits/Remote File Inclusion/Known Vulnerabilities Windows
Cisco Webex Meetings webexservice Update Service Local Privilege Escalation Exploit A vulnerability in the update service of Cisco Webex Meetings Desktop App for Windows could allow an authenticated local attacker, to execute arbitrary commands with SYSTEM user privileges. CVE-2018-15442 Exploits/Local Windows
Atlantis Word Processor JPEG Length Underflow Exploit An exploitable stack-based buffer overflow vulnerability exists in the JPEG parser of Atlantis Word Processor. CVE-2018-3999 Exploits/Client Side Windows
VBScript Engine UAF Exploit A remote code execution vulnerability exists in the way that the scripting engine handles objects in memory in Internet Explorer. The vulnerability could corrupt memory in such a way that an attacker could execute arbitrary code in the context of the current user. An attacker who successfully exploited the vulnerability could gain the same user rights as the current user. If the current user is logged on with administrative user rights, an attacker who successfully exploited the vulnerability could take control of an affected system. An attacker could then install programs; view, change, or delete data; or create new accounts with full user rights. In a web-based attack scenario, an attacker could host a specially crafted website that is designed to exploit the vulnerability through Internet Explorer and then convince a user to view the website. An attacker could also embed an ActiveX control marked "safe for initialization" in an application or Microsoft Office document that hosts the IE rendering engine. The attacker could also take advantage of compromised websites and websites that accept or host user-provided content or advertisements. These websites could contain specially crafted content that could exploit the vulnerability. The security update addresses the vulnerability by modifying how the scripting engine handles objects in memory. CVE-2018-8373 Exploits/Client Side Windows
Microsoft Windows Shell Remote Code Execution Vulnerability Exploit (CVE-2018-8414) Microsoft Windows Shell does not properly validate file paths, allowing the execution of ".SettingContent-ms" files from outside the "ImmersiveControlPanel" folder. CVE-2018-8414 Exploits/Client Side Windows
phpMyAdmin index.php Local File Inclusion Vulnerability Exploit phpMyAdmin is vulnerable to local file inclusion, which can be exploited post-authentication to execute PHP code by the application. CVE-2018-12613 Windows, Linux
Delta Industrial Automation CNCSoft ScreenEditor DPB File wKPFString Exploit The specific flaw exists within the handling of DPB files. When parsing the wKPFString attribute, the process does not properly validate the length of user-supplied data. CVE-2018-10636 Exploits/Client Side Windows
Free MP3 CD Ripper Buffer Overflow SEH Exploit A Buffer Overflow exists when parsing .mp3/wma files. The vulnerability is caused due to a boundary error when handling a crafted .mp3/wma files. NOCVE-9999-114871 Exploits/Client Side Windows
ASROCK Low Level Access Drivers Privilege Escalation Exploit This module exploits a vulnerability in various ASROCK utilities. The low level access drivers at the core of these utilities expose dangerous functionality to low privilege processes, a local attacker can read/write arbitrary kernel memory, which can be leveraged to elevate privileges. CVE-2018-10709 Exploits/Local Windows
Fortinet FortiClient IOCTL 220028 Local Privilege Escalation Exploit The Fortishield.sys driver in Fortinet FortiClient before 5.2.4 allows local users to execute arbitrary code with kernel privileges by setting the callback function in a (1) 0x220024 or (2) 0x220028 ioctl call. CVE-2015-5736 Exploits/Local Windows
Easy File Sharing Web Server POST UserID Cookie Buffer Overflow Exploit Stack-based buffer overflow in Easy File Sharing (EFS) Web Server 7.2 allows remote attackers to execute arbitrary code via a malicious login request to forum.ghp CVE-2018-9059 Exploits/Remote Windows
Fuji Electric V-Server VPR File Parsing Buffer Overflow Exploit (CVE-2018-10637) The specific flaw exists within the processing of VPR files. The issue results from the lack of proper validation of the length of user-supplied data prior to copying it to a buffer. CVE-2018-10637 Exploits/Client Side Windows
Wecon LeviStudioU Screendata IndirectAddrR Heap-based Buffer Overflow Exploit The specific flaw exists within the handling of HSC files. When parsing the IndirectAddrR attribute, the process does not properly validate the length of user-supplied data prior to copying it to a fixed-length heap-based buffer. An attacker can leverage this vulnerability to execute code under the context of Administrator. CVE-2018-10606 Exploits/Client Side Windows
D-Link Central WiFiManager FTP Server Default Credentials Remote PHP File Upload Vulnerability Exploit Update D-Link Central WiFiManager has an FTP server listening on port 9000 by default with fixed credentials. This allows to unauthenticated users to upload and execute PHP files in the web root, leading to remote code execution. This update fixes vulnerability URLs CVE-2018-17440 Exploits/Remote File Inclusion/Known Vulnerabilities Windows
D-Link Central WiFiManager FTP Server Default Credentials Remote PHP File Upload Vulnerability Exploit D-Link Central WiFiManager has an FTP server listening on port 9000 by default with fixed credentials. This allows to unauthenticated users to upload and execute PHP files in the web root, leading to remote code execution. CVE-2018-17440 Exploits/Remote File Inclusion/Known Vulnerabilities Windows
Hewlett Packard Enterprise Intelligent Management Center dbman Opcode 10006 Command Injection Exploit The specific flaw exists within the dbman service, which listens on TCP port 2810 by default. The issue results from the lack of proper validation of a user-supplied string before using it to execute a system call. An attacker can leverage this vulnerability to execute arbitrary code under the context of SYSTEM. NOCVE-9999-114676 Exploits/Remote Windows